%define api 2_1
%define major 11
%define libhalf %mklibname Half %{major}
%define libiex %mklibname Iex %{api} %{major}
%define libiexmath %mklibname IexMath %{api} %{major}
%define libilmthread %mklibname IlmThread %{api} %{major}
%define libimath %mklibname Imath %{api} %{major}
%define devname %mklibname %{name} -d

Summary:	Abraction/convenience libraries for OpenEXR
Name:		ilmbase
Version:	2.1.0
Release:	2
License:	BSD
Group:		System/Libraries
Url:		http://www.openexr.com
Source0:	http://download.savannah.nongnu.org/releases/openexr/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.0.0-pthread.patch

%description
Half is a class that encapsulates the ilm 16-bit floating-point format.

Iex is an exception-handling library.

IexMath is an exception-handling library for math functions.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

#----------------------------------------------------------------------------

%package -n %{libhalf}
Summary:	Abraction/convenience library for OpenEXR
Group:		System/Libraries

%description -n %{libhalf}
Half is a class that encapsulates the ilm 16-bit floating-point format.

%files -n %{libhalf}
%{_libdir}/libHalf.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libiex}
Summary:	Abraction/convenience library for OpenEXR
Group:		System/Libraries

%description -n %{libiex}
Iex is an exception-handling library.

%files -n %{libiex}
%{_libdir}/libIex-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libiexmath}
Summary:	Abraction/convenience library for OpenEXR
Group:		System/Libraries

%description -n %{libiexmath}
IexMath is an exception-handling library for math functions.

%files -n %{libiexmath}
%{_libdir}/libIexMath-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libilmthread}
Summary:	Abraction/convenience library for OpenEXR
Group:		System/Libraries

%description -n %{libilmthread}
IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

%files -n %{libilmthread}
%{_libdir}/libIlmThread-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libimath}
Summary:	Abraction/convenience library for OpenEXR
Group:		System/Libraries

%description -n %{libimath}
Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

%files -n %{libimath}
%{_libdir}/libImath-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libhalf} = %{EVRD}
Requires:	%{libiex} = %{EVRD}
Requires:	%{libiexmath} = %{EVRD}
Requires:	%{libilmthread} = %{EVRD}
Requires:	%{libimath} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .pthread

./bootstrap

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.1.0-2
+ Revision: 057811d
- MassBuild#440: Increase release tag


